Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDeclSecurityEntry

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDeclSecurityEntry,MonoDeclSecurityEntry.ByValue,MonoDeclSecurityEntry.ByReference>
              com.nativelibs4java.mono.MonoDeclSecurityEntry

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoDeclSecurityEntry,MonoDeclSecurityEntry.ByValue,MonoDeclSecurityEntry.ByReference>>

Direct Known Subclasses:
  MonoDeclSecurityEntry.ByReference, MonoDeclSecurityEntry.ByValue

    public class MonoDeclSecurityEntry

extends Structure<MonoDeclSecurityEntry,MonoDeclSecurityEntry.ByValue,MonoDeclSecurityEntry.ByReference>

native declaration : mono\metadata\reflection.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoDeclSecurityEntry.ByReference`
`static class` | `MonoDeclSecurityEntry.ByValue`

Field Summary
`ByteByReference` | `blob`
`int` | `index`
`int` | `size`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDeclSecurityEntry()`
`MonoDeclSecurityEntry(ByteByReference blob, int size, int index)`

Method Summary
`protected MonoDeclSecurityEntry.ByReference` | `newByReference()`
`protected MonoDeclSecurityEntry.ByValue` | `newByValue()`
`protected MonoDeclSecurityEntry` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### blob

    public ByteByReference blob

### size

    public int size

### index

    public int index

Constructor Detail

### MonoDeclSecurityEntry

    public MonoDeclSecurityEntry()

### MonoDeclSecurityEntry

    public MonoDeclSecurityEntry(ByteByReference blob,
                                 int size,
                                 int index)

Parameters:
  `blob` - pointer to metadata blob
  `size` - size of the metadata blob

Method Detail

### newByReference

    protected MonoDeclSecurityEntry.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoDeclSecurityEntry,MonoDeclSecurityEntry.ByValue,MonoDeclSecurityEntry.ByReference>`

### newByValue

    protected MonoDeclSecurityEntry.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoDeclSecurityEntry,MonoDeclSecurityEntry.ByValue,MonoDeclSecurityEntry.ByReference>`

### newInstance

    protected MonoDeclSecurityEntry newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoDeclSecurityEntry,MonoDeclSecurityEntry.ByValue,MonoDeclSecurityEntry.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD